
Foreman - Bug #5566

Fact Values Query Produces Error

05/05/2014 01:06 AM - Paul Calabro

Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category: Search   

Target version: 1.5.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.5.0

Bugzilla link: 1093151 Red Hat JIRA:  

Pull request:    

Description

When issuing the following query: fact = network_address  <any string goes here>

I receive the following trace:

ActiveRecord::StatementInvalid

PGError: ERROR: syntax error at or near "OR" LINE 1: ...ub01%' OR "fact_names"."name" ILIKE '%dub01%' OR OR "hostgr... ^ :

SELECT DISTINCT "fact_values".id, "fact_values"."value" AS alias_0 FROM "fact_values" LEFT OUTER JOIN "fact_names" ON

"fact_names"."id" = "fact_values"."fact_name_id" LEFT OUTER JOIN "hosts" ON "hosts"."id" = "fact_values"."host_id" AND

"hosts"."type" IN ('Host::Managed') LEFT OUTER JOIN "hostgroups" ON "hostgroups"."id" = "hosts"."hostgroup_id" LEFT OUTER

JOIN "hosts" "hosts_fact_values" ON "hosts_fact_values"."id" = "fact_values"."host_id" AND "hosts_fact_values"."type" IN

('Host::Managed') INNER JOIN "fact_names" fact_names_364687 ON (fact_names_364687.id = fact_values.fact_name_id) WHERE

(fact_names.name <> '_timestamp') AND ((fact_names_364687."name" = '') AND (("fact_names"."name" = 'network_address') AND

("fact_values"."value" ILIKE '%dub01%' OR "fact_values"."value" ILIKE '%dub01%' OR "fact_names"."name" ILIKE '%dub01%' OR

OR "hostgroups"."name" ILIKE '%dub01%' OR "fact_names"."short_name" ILIKE '%dub01%'))) ORDER BY "fact_values"."value"

ASC NULLS FIRST LIMIT 150 OFFSET 0

app/views/fact_values/index.html.erb:15:in `_app_views_fact_values_index_html_erb___1537369141514873972_74205940'

app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'

lib/middleware/catch_json_parse_errors.rb:9:in `call'

If I change the query to: fact = network_address and host = <FQDN goes here>

it works fine.

Related issues:

Has duplicate Foreman - Bug #5906: Can't search facts give error / facts sear... Duplicate 05/23/2014

Has duplicate Foreman - Bug #5670: Invalid sql when searching for two words Duplicate 05/12/2014

Associated revisions

Revision b7ae6836 - 06/19/2014 12:21 PM - Joseph Magen

fixes #5566 - free text fact values query produces invalid SQL error

Revision 8b998d6f - 07/28/2014 07:15 AM - Joseph Magen

fixes #5566 - free text fact values query produces invalid SQL error

(cherry picked from commit b7ae68362481b2b7227fd39cf2be80bf3fc3af9f)

History

#1 - 05/06/2014 07:44 AM - Dominic Cleal

- Category set to Search

#2 - 05/20/2014 04:34 PM - Dominic Cleal

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1093151
#3 - 05/23/2014 11:09 AM - Dominic Cleal

- Has duplicate Bug #5906: Can't search facts give error / facts search for a particular word does not work added

#4 - 06/08/2014 09:18 AM - Joseph Magen

- Status changed from New to Ready For Testing

- Assignee set to Joseph Magen

- Target version set to 1.8.2

https://github.com/theforeman/foreman/pull/1500

#5 - 06/08/2014 10:45 PM - Paul Calabro

This fixed my issue! Thanks guys! :)

#6 - 06/11/2014 02:56 PM - Anonymous

- Target version changed from 1.8.2 to 1.8.1

#7 - 06/19/2014 12:21 PM - Dominic Cleal

- Has duplicate Bug #5670: Invalid sql when searching for two words added

#8 - 06/19/2014 12:23 PM - Dominic Cleal

- translation missing: en.field_release set to 18

#9 - 06/19/2014 01:31 PM - Joseph Magen

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset b7ae68362481b2b7227fd39cf2be80bf3fc3af9f.
